---------------------
PatchSet 2626 
Date: 2001/07/15 08:49:37
Author: serassio
Branch: nt-2_3
Tag: (none) 
Log:
Added SNMP support to WIN32 native port

Members: 
	ChangeLog:1.1.1.3.4.4->1.1.1.3.4.4.2.1 
	include/autoconf.h:1.1.2.4->1.1.2.5 
	include/config.h:1.1.2.4->1.1.2.5 
	include/snmp-internal.h:1.1.1.1.44.1->1.1.1.1.44.2 
	include/version.h:1.1.1.3.4.4.2.2->1.1.1.3.4.4.2.3 
	snmplib/parse.c:1.1.1.2->1.1.1.2.70.1 
	src/snmp_core.c:1.1.1.3.4.1.2.2->1.1.1.3.4.1.2.3 
	src/useragent.c:1.1.1.3.4.1.2.8->1.1.1.3.4.1.2.9 
	win/win.dsw:1.1.2.3->1.1.2.4 
	win/libsnmp/libsnmp.dsp:1.1->1.1.2.1 
	win/libsnmp/libsnmp.mak:1.1->1.1.2.1 
	win/squidnt/squidnt.dsp:1.1.2.4->1.1.2.5 
	win/squidnt/squidnt.mak:1.1.2.4->1.1.2.5 

Index: squid/ChangeLog
===================================================================
RCS file: /cvsroot/squid-sf//squid/ChangeLog,v
retrieving revision 1.1.1.3.4.4
retrieving revision 1.1.1.3.4.4.2.1
diff -u -r1.1.1.3.4.4 -r1.1.1.3.4.4.2.1
--- squid/ChangeLog	31 Dec 2000 05:24:16 -0000	1.1.1.3.4.4
+++ squid/ChangeLog	15 Jul 2001 08:49:37 -0000	1.1.1.3.4.4.2.1
@@ -1,4 +1,4 @@
-Changes to Squid-2.3:
+Changes to Squid-2.3.STABLE5 (Jul 13, 2001):
 
 	- Fixed more domain-matching bugs, this time relating
 	  to the '-' character.  Copied the improved aclDomainCompare
@@ -18,6 +18,8 @@
 	  (www....squid-cache....org), which can fool some access
 	  controls.  Changed URL parsing in url.c to collapse these
 	  multiple dots.
+	- clientAccessCheck() was incorrectly allowing all proxy
+	  requests in accel_only mode.
 
 Changes to Squid-2.3.STABLE4 (July 18, 2000):
 
Index: squid/include/autoconf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/autoconf.h,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid/include/autoconf.h	3 Jul 2001 21:58:03 -0000	1.1.2.4
+++ squid/include/autoconf.h	15 Jul 2001 08:49:37 -0000	1.1.2.5
@@ -112,6 +112,7 @@
 
 /* Define to enable SNMP monitoring of Squid */
 #undef SQUID_SNMP
+#define SQUID_SNMP 1
 
 /*
  * Define to enable WCCP
Index: squid/include/config.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/config.h,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid/include/config.h	3 Jul 2001 21:58:03 -0000	1.1.2.4
+++ squid/include/config.h	15 Jul 2001 08:49:37 -0000	1.1.2.5
@@ -158,6 +158,10 @@
 #define commSetSelect(x,y,z,u,v) commSetSelectS(x,y,z,u,v)
 #endif
 
+#if defined (SNMP_CORE_C)
+#define fd_note(x,y) sd_note(x,y)
+#define commSetSelect(x,y,z,u,v) commSetSelectS(x,y,z,u,v)
+#endif
 
 #if defined(WHOIS_C) || defined(WAIS_C) 
 #define send(x,y,z) send(x,y,z,0)
Index: squid/include/snmp-internal.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp-internal.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.2
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.2
--- squid/include/snmp-internal.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/snmp-internal.h	15 Jul 2001 08:49:37 -0000	1.1.1.1.44.2
@@ -24,7 +24,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp-internal.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: snmp-internal.h,v 1.1.1.1.44.2 2001/07/15 08:49:37 serassio Exp $
  * 
  **********************************************************************/
 
@@ -32,10 +32,4 @@
 #define SNMP_TRAP_PORT	    162
 #define SNMP_MAX_LEN	    484
 
-#ifdef DEBUG
-#define ERROR(string)	printf("%s(%d): %s\n",__FILE__, __LINE__, string);
-#else
-#define ERROR(string)
-#endif
-
 #endif /* _SNMP_INTERNAL_H_ */
Index: squid/include/version.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/version.h,v
retrieving revision 1.1.1.3.4.4.2.2
retrieving revision 1.1.1.3.4.4.2.3
diff -u -r1.1.1.3.4.4.2.2 -r1.1.1.3.4.4.2.3
--- squid/include/version.h	25 Mar 2001 17:49:42 -0000	1.1.1.3.4.4.2.2
+++ squid/include/version.h	15 Jul 2001 08:49:37 -0000	1.1.1.3.4.4.2.3
@@ -1,12 +1,12 @@
 /*
- * $Id: version.h,v 1.1.1.3.4.4.2.2 2001/03/25 17:49:42 serassio Exp $
+ * $Id: version.h,v 1.1.1.3.4.4.2.3 2001/07/15 08:49:37 serassio Exp $
  *
  *  SQUID_VERSION - String for version id of this distribution
  */
 #ifndef SQUID_VERSION
-#define SQUID_VERSION	"2.3.STABLE4"
+#define SQUID_VERSION	"2.3.STABLE5"
 #endif
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 983577621
+#define SQUID_RELEASE_TIME 995065220
 #endif
Index: squid/snmplib/parse.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/parse.c,v
retrieving revision 1.1.1.2
retrieving revision 1.1.1.2.70.1
diff -u -r1.1.1.2 -r1.1.1.2.70.1
--- squid/snmplib/parse.c	26 Jan 2000 03:23:10 -0000	1.1.1.2
+++ squid/snmplib/parse.c	15 Jul 2001 08:49:37 -0000	1.1.1.2.70.1
@@ -108,6 +108,11 @@
 
 int Line = 1;
 
+#ifdef _SQUID_MSWIN_
+#undef OPAQUE
+#undef OPTIONAL
+#endif
+
 /* types of tokens */
 #define	CONTINUE    -1
 #define ENDOFFILE   0
Index: squid/src/snmp_core.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/snmp_core.c,v
retrieving revision 1.1.1.3.4.1.2.2
retrieving revision 1.1.1.3.4.1.2.3
diff -u -r1.1.1.3.4.1.2.2 -r1.1.1.3.4.1.2.3
--- squid/src/snmp_core.c	25 Mar 2001 16:23:01 -0000	1.1.1.3.4.1.2.2
+++ squid/src/snmp_core.c	15 Jul 2001 08:49:37 -0000	1.1.1.3.4.1.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: snmp_core.c,v 1.1.1.3.4.1.2.2 2001/03/25 16:23:01 serassio Exp $
+ * $Id: snmp_core.c,v 1.1.1.3.4.1.2.3 2001/07/15 08:49:37 serassio Exp $
  *
  * DEBUG: section 49    SNMP support
  * AUTHOR: Glenn Chisholm
@@ -32,6 +32,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  *
  */
+#define SNMP_CORE_C
 #include "squid.h"
 #include "cache_snmp.h"
 
@@ -347,7 +348,11 @@
     if ((port = Config.Port.snmp) > (u_short) 0) {
 	enter_suid();
 	theInSnmpConnection = comm_open(SOCK_DGRAM,
+#ifdef _SQUID_MSWIN_
+	    IPPROTO_UDP,
+#else
 	    0,
+#endif
 	    Config.Addrs.snmp_incoming,
 	    port,
 	    COMM_NONBLOCKING,
@@ -361,7 +366,11 @@
 	if (Config.Addrs.snmp_outgoing.s_addr != no_addr.s_addr) {
 	    enter_suid();
 	    theOutSnmpConnection = comm_open(SOCK_DGRAM,
+#ifdef _SQUID_MSWIN_
+		IPPROTO_UDP,
+#else
 		0,
+#endif
 		Config.Addrs.snmp_outgoing,
 		port,
 		COMM_NONBLOCKING,
@@ -1058,3 +1067,4 @@
     cp[3] = id[3];
     return &laddr;
 }
+#undef SNMP_CORE_C
Index: squid/src/useragent.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/useragent.c,v
retrieving revision 1.1.1.3.4.1.2.8
retrieving revision 1.1.1.3.4.1.2.9
diff -u -r1.1.1.3.4.1.2.8 -r1.1.1.3.4.1.2.9
--- squid/src/useragent.c	10 Jul 2001 20:50:29 -0000	1.1.1.3.4.1.2.8
+++ squid/src/useragent.c	15 Jul 2001 08:49:37 -0000	1.1.1.3.4.1.2.9
@@ -1,6 +1,6 @@
 
 /*
- * $Id: useragent.c,v 1.1.1.3.4.1.2.8 2001/07/10 20:50:29 serassio Exp $
+ * $Id: useragent.c,v 1.1.1.3.4.1.2.9 2001/07/15 08:49:37 serassio Exp $
  *
  * DEBUG: section 40    User-Agent logging
  * AUTHOR: Joe Ramey <ramey@csc.ti.com>
@@ -134,7 +134,7 @@
 useragentLogClose(void)
 {
 #if USE_USERAGENT_LOG
-    if (cache_useragent_log) {
+    if (NULL != cache_useragent_log) {
 	file_close(fileno(cache_useragent_log));
 	fclose(cache_useragent_log);
     }
Index: squid/win/win.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/Attic/win.dsw,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid/win/win.dsw	30 Jun 2001 18:42:07 -0000	1.1.2.3
+++ squid/win/win.dsw	15 Jul 2001 08:49:37 -0000	1.1.2.4
@@ -3,7 +3,7 @@
 
 ###############################################################################
 
-Project: "LDAP_auth"=..\auth_modules\LDAP\LDAP_auth.dsp - Package Owner=<4>
+Project: "LDAP_auth"="..\auth_modules\LDAP\LDAP_auth.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -18,7 +18,7 @@
 
 ###############################################################################
 
-Project: "NCSA_auth"=..\auth_modules\NCSA\NCSA_auth.dsp - Package Owner=<4>
+Project: "NCSA_auth"="..\auth_modules\NCSA\NCSA_auth.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -39,7 +39,7 @@
 
 ###############################################################################
 
-Project: "NT_auth"=..\auth_modules\NT\NT_auth.dsp - Package Owner=<4>
+Project: "NT_auth"="..\auth_modules\NT\NT_auth.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -66,7 +66,7 @@
 
 ###############################################################################
 
-Project: "cachemgr"=.\cachemgr\cachemgr.dsp - Package Owner=<4>
+Project: "cachemgr"=".\cachemgr\cachemgr.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -81,7 +81,7 @@
 
 ###############################################################################
 
-Project: "cf_data"=.\cf_data.dsp - Package Owner=<4>
+Project: "cf_data"=".\cf_data.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -93,7 +93,7 @@
 
 ###############################################################################
 
-Project: "cf_gen"=.\cf_gen\cf_gen.dsp - Package Owner=<4>
+Project: "cf_gen"=".\cf_gen\cf_gen.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -108,7 +108,7 @@
 
 ###############################################################################
 
-Project: "chpasswd"=..\contrib\chpasswd\chpasswd.dsp - Package Owner=<4>
+Project: "chpasswd"="..\contrib\chpasswd\chpasswd.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -120,7 +120,7 @@
 
 ###############################################################################
 
-Project: "dnsserver"=.\dnsserver\dnsserver.dsp - Package Owner=<4>
+Project: "dnsserver"=".\dnsserver\dnsserver.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -135,7 +135,7 @@
 
 ###############################################################################
 
-Project: "htpasswd"=..\contrib\htpasswd\htpasswd.dsp - Package Owner=<4>
+Project: "htpasswd"="..\contrib\htpasswd\htpasswd.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -147,7 +147,7 @@
 
 ###############################################################################
 
-Project: "libregex"=.\libregex\libregex.dsp - Package Owner=<4>
+Project: "libregex"=".\libregex\libregex.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -159,7 +159,19 @@
 
 ###############################################################################
 
-Project: "miscutil"=.\miscutil\miscutil.dsp - Package Owner=<4>
+Project: "libsnmp"=".\libsnmp\libsnmp.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "miscutil"=".\miscutil\miscutil.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -174,7 +186,7 @@
 
 ###############################################################################
 
-Project: "squid_conf"=.\squid_conf.dsp - Package Owner=<4>
+Project: "squid_conf"=".\squid_conf.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -192,7 +204,7 @@
 
 ###############################################################################
 
-Project: "squidnt"=.\squidnt\squidnt.dsp - Package Owner=<4>
+Project: "squidnt"=".\squidnt\squidnt.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -227,6 +239,9 @@
     Begin Project Dependency
     Project_Dep_Name squid_conf
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name libsnmp
+    End Project Dependency
 }}}
 
 ###############################################################################
--- /dev/null	Wed Feb 14 00:52:54 2007
+++ squid/win/libsnmp/libsnmp.dsp	Wed Feb 14 00:53:52 2007
@@ -0,0 +1,136 @@
+# Microsoft Developer Studio Project File - Name="libsnmp" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Static Library" 0x0104
+
+CFG=libsnmp - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "libsnmp.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "libsnmp.mak" CFG="libsnmp - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "libsnmp - Win32 Release" (based on "Win32 (x86) Static Library")
+!MESSAGE "libsnmp - Win32 Debug" (based on "Win32 (x86) Static Library")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "libsnmp - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /I "..\..\include" /D "NDEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D SQUID_SNMP=1 /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LIB32=link.exe -lib
+# ADD BASE LIB32 /nologo
+# ADD LIB32 /nologo
+
+!ELSEIF  "$(CFG)" == "libsnmp - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
+# ADD CPP /nologo /G6 /MT /W3 /Gm /GX /ZI /I "..\..\include" /D "_DEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D SQUID_SNMP=1 /YX /FD /GZ /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LIB32=link.exe -lib
+# ADD BASE LIB32 /nologo
+# ADD LIB32 /nologo
+
+!ENDIF 
+
+# Begin Target
+
+# Name "libsnmp - Win32 Release"
+# Name "libsnmp - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\snmplib\asn1.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\snmplib\coexistance.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\snmplib\mib.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\snmplib\parse.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\snmplib\snmp_api.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\snmplib\snmp_api_error.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\snmplib\snmp_error.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\snmplib\snmp_msg.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\snmplib\snmp_pdu.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\snmplib\snmp_vars.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\snmplib\snmplib_debug.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# End Group
+# End Target
+# End Project
--- /dev/null	Wed Feb 14 00:52:54 2007
+++ squid/win/libsnmp/libsnmp.mak	Wed Feb 14 00:53:52 2007
@@ -0,0 +1,251 @@
+# Microsoft Developer Studio Generated NMAKE File, Based on libsnmp.dsp
+!IF "$(CFG)" == ""
+CFG=libsnmp - Win32 Debug
+!MESSAGE No configuration specified. Defaulting to libsnmp - Win32 Debug.
+!ENDIF 
+
+!IF "$(CFG)" != "libsnmp - Win32 Release" && "$(CFG)" != "libsnmp - Win32 Debug"
+!MESSAGE Invalid configuration "$(CFG)" specified.
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "libsnmp.mak" CFG="libsnmp - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "libsnmp - Win32 Release" (based on "Win32 (x86) Static Library")
+!MESSAGE "libsnmp - Win32 Debug" (based on "Win32 (x86) Static Library")
+!MESSAGE 
+!ERROR An invalid configuration is specified.
+!ENDIF 
+
+!IF "$(OS)" == "Windows_NT"
+NULL=
+!ELSE 
+NULL=nul
+!ENDIF 
+
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "libsnmp - Win32 Release"
+
+OUTDIR=.\Release
+INTDIR=.\Release
+# Begin Custom Macros
+OutDir=.\Release
+# End Custom Macros
+
+ALL : "$(OUTDIR)\libsnmp.lib"
+
+
+CLEAN :
+	-@erase "$(INTDIR)\asn1.obj"
+	-@erase "$(INTDIR)\coexistance.obj"
+	-@erase "$(INTDIR)\mib.obj"
+	-@erase "$(INTDIR)\parse.obj"
+	-@erase "$(INTDIR)\snmp_api.obj"
+	-@erase "$(INTDIR)\snmp_api_error.obj"
+	-@erase "$(INTDIR)\snmp_error.obj"
+	-@erase "$(INTDIR)\snmp_msg.obj"
+	-@erase "$(INTDIR)\snmp_pdu.obj"
+	-@erase "$(INTDIR)\snmp_vars.obj"
+	-@erase "$(INTDIR)\snmplib_debug.obj"
+	-@erase "$(INTDIR)\vc60.idb"
+	-@erase "$(OUTDIR)\libsnmp.lib"
+
+"$(OUTDIR)" :
+    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
+
+CPP_PROJ=/nologo /G6 /MT /W3 /GX /I "..\..\include" /D "NDEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D SQUID_SNMP=1 /Fp"$(INTDIR)\libsnmp.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
+BSC32=bscmake.exe
+BSC32_FLAGS=/nologo /o"$(OUTDIR)\libsnmp.bsc" 
+BSC32_SBRS= \
+	
+LIB32=link.exe -lib
+LIB32_FLAGS=/nologo /out:"$(OUTDIR)\libsnmp.lib" 
+LIB32_OBJS= \
+	"$(INTDIR)\snmplib_debug.obj" \
+	"$(INTDIR)\coexistance.obj" \
+	"$(INTDIR)\mib.obj" \
+	"$(INTDIR)\parse.obj" \
+	"$(INTDIR)\snmp_api.obj" \
+	"$(INTDIR)\snmp_api_error.obj" \
+	"$(INTDIR)\snmp_error.obj" \
+	"$(INTDIR)\snmp_msg.obj" \
+	"$(INTDIR)\snmp_pdu.obj" \
+	"$(INTDIR)\snmp_vars.obj" \
+	"$(INTDIR)\asn1.obj"
+
+"$(OUTDIR)\libsnmp.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIB32_OBJS)
+    $(LIB32) @<<
+  $(LIB32_FLAGS) $(DEF_FLAGS) $(LIB32_OBJS)
+<<
+
+!ELSEIF  "$(CFG)" == "libsnmp - Win32 Debug"
+
+OUTDIR=.\Debug
+INTDIR=.\Debug
+# Begin Custom Macros
+OutDir=.\Debug
+# End Custom Macros
+
+ALL : "$(OUTDIR)\libsnmp.lib"
+
+
+CLEAN :
+	-@erase "$(INTDIR)\asn1.obj"
+	-@erase "$(INTDIR)\coexistance.obj"
+	-@erase "$(INTDIR)\mib.obj"
+	-@erase "$(INTDIR)\parse.obj"
+	-@erase "$(INTDIR)\snmp_api.obj"
+	-@erase "$(INTDIR)\snmp_api_error.obj"
+	-@erase "$(INTDIR)\snmp_error.obj"
+	-@erase "$(INTDIR)\snmp_msg.obj"
+	-@erase "$(INTDIR)\snmp_pdu.obj"
+	-@erase "$(INTDIR)\snmp_vars.obj"
+	-@erase "$(INTDIR)\snmplib_debug.obj"
+	-@erase "$(INTDIR)\vc60.idb"
+	-@erase "$(INTDIR)\vc60.pdb"
+	-@erase "$(OUTDIR)\libsnmp.lib"
+
+"$(OUTDIR)" :
+    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
+
+CPP_PROJ=/nologo /G6 /MT /W3 /Gm /GX /ZI /I "..\..\include" /D "_DEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D SQUID_SNMP=1 /Fp"$(INTDIR)\libsnmp.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+BSC32=bscmake.exe
+BSC32_FLAGS=/nologo /o"$(OUTDIR)\libsnmp.bsc" 
+BSC32_SBRS= \
+	
+LIB32=link.exe -lib
+LIB32_FLAGS=/nologo /out:"$(OUTDIR)\libsnmp.lib" 
+LIB32_OBJS= \
+	"$(INTDIR)\snmplib_debug.obj" \
+	"$(INTDIR)\coexistance.obj" \
+	"$(INTDIR)\mib.obj" \
+	"$(INTDIR)\parse.obj" \
+	"$(INTDIR)\snmp_api.obj" \
+	"$(INTDIR)\snmp_api_error.obj" \
+	"$(INTDIR)\snmp_error.obj" \
+	"$(INTDIR)\snmp_msg.obj" \
+	"$(INTDIR)\snmp_pdu.obj" \
+	"$(INTDIR)\snmp_vars.obj" \
+	"$(INTDIR)\asn1.obj"
+
+"$(OUTDIR)\libsnmp.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIB32_OBJS)
+    $(LIB32) @<<
+  $(LIB32_FLAGS) $(DEF_FLAGS) $(LIB32_OBJS)
+<<
+
+!ENDIF 
+
+.c{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cpp{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cxx{$(INTDIR)}.obj::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.c{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cpp{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+.cxx{$(INTDIR)}.sbr::
+   $(CPP) @<<
+   $(CPP_PROJ) $< 
+<<
+
+
+!IF "$(NO_EXTERNAL_DEPS)" != "1"
+!IF EXISTS("libsnmp.dep")
+!INCLUDE "libsnmp.dep"
+!ELSE 
+!MESSAGE Warning: cannot find "libsnmp.dep"
+!ENDIF 
+!ENDIF 
+
+
+!IF "$(CFG)" == "libsnmp - Win32 Release" || "$(CFG)" == "libsnmp - Win32 Debug"
+SOURCE=..\..\snmplib\asn1.c
+
+"$(INTDIR)\asn1.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\snmplib\coexistance.c
+
+"$(INTDIR)\coexistance.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\snmplib\mib.c
+
+"$(INTDIR)\mib.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\snmplib\parse.c
+
+"$(INTDIR)\parse.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\snmplib\snmp_api.c
+
+"$(INTDIR)\snmp_api.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\snmplib\snmp_api_error.c
+
+"$(INTDIR)\snmp_api_error.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\snmplib\snmp_error.c
+
+"$(INTDIR)\snmp_error.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\snmplib\snmp_msg.c
+
+"$(INTDIR)\snmp_msg.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\snmplib\snmp_pdu.c
+
+"$(INTDIR)\snmp_pdu.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\snmplib\snmp_vars.c
+
+"$(INTDIR)\snmp_vars.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\snmplib\snmplib_debug.c
+
+"$(INTDIR)\snmplib_debug.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+
+!ENDIF 
+
Index: squid/win/squidnt/squidnt.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/squidnt/Attic/squidnt.dsp,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid/win/squidnt/squidnt.dsp	1 Jul 2001 16:26:55 -0000	1.1.2.4
+++ squid/win/squidnt/squidnt.dsp	15 Jul 2001 08:49:38 -0000	1.1.2.5
@@ -82,7 +82,7 @@
 # ADD BSC32 /nologo
 LINK32=link.exe
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib winwrap.lib /nologo /subsystem:console /debug /machine:I386 /out:"Debug/squid.exe" /pdbtype:sept
+# ADD LINK32 winwrap.lib kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /debug /machine:I386 /out:"Debug/squid.exe" /pdbtype:sept
 # SUBTRACT LINK32 /profile
 # Begin Special Build Tool
 SOURCE="$(InputPath)"
@@ -376,6 +376,14 @@
 # End Source File
 # Begin Source File
 
+SOURCE=..\..\src\snmp_agent.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\src\snmp_core.c
+# End Source File
+# Begin Source File
+
 SOURCE=..\..\src\ssl.c
 # End Source File
 # Begin Source File
Index: squid/win/squidnt/squidnt.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/squidnt/Attic/squidnt.mak,v
retrieving revision 1.1.2.4
retrieving revision 1.1.2.5
diff -u -r1.1.2.4 -r1.1.2.5
--- squid/win/squidnt/squidnt.mak	1 Jul 2001 16:26:55 -0000	1.1.2.4
+++ squid/win/squidnt/squidnt.mak	15 Jul 2001 08:49:38 -0000	1.1.2.5
@@ -42,12 +42,12 @@
 
 !ELSE 
 
-ALL : "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
+ALL : "libsnmp - Win32 Release" "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
 
 !ENDIF 
 
 !IF "$(RECURSE)" == "1" 
-CLEAN :"miscutil - Win32 ReleaseCLEAN" "NT_auth - Win32 ReleaseCLEAN" "NCSA_auth - Win32 ReleaseCLEAN" "cachemgr - Win32 ReleaseCLEAN" "dnsserver - Win32 ReleaseCLEAN" "LDAP_auth - Win32 ReleaseCLEAN" "Perl Preprocessing - Win32 ReleaseCLEAN" "squid_conf - Win32 ReleaseCLEAN" 
+CLEAN :"miscutil - Win32 ReleaseCLEAN" "NT_auth - Win32 ReleaseCLEAN" "NCSA_auth - Win32 ReleaseCLEAN" "cachemgr - Win32 ReleaseCLEAN" "dnsserver - Win32 ReleaseCLEAN" "LDAP_auth - Win32 ReleaseCLEAN" "Perl Preprocessing - Win32 ReleaseCLEAN" "squid_conf - Win32 ReleaseCLEAN" "libsnmp - Win32 ReleaseCLEAN" 
 !ELSE 
 CLEAN :
 !ENDIF 
@@ -117,6 +117,8 @@
 	-@erase "$(INTDIR)\redirect.obj"
 	-@erase "$(INTDIR)\refresh.obj"
 	-@erase "$(INTDIR)\send-announce.obj"
+	-@erase "$(INTDIR)\snmp_agent.obj"
+	-@erase "$(INTDIR)\snmp_core.obj"
 	-@erase "$(INTDIR)\squid.res"
 	-@erase "$(INTDIR)\ssl.obj"
 	-@erase "$(INTDIR)\stat.obj"
@@ -256,7 +258,10 @@
 	"$(INTDIR)\whois.obj" \
 	"$(INTDIR)\win32.obj" \
 	"$(INTDIR)\squid.res" \
-	"..\miscutil\Release\miscutil.lib"
+	"$(INTDIR)\snmp_core.obj" \
+	"$(INTDIR)\snmp_agent.obj" \
+	"..\miscutil\Release\miscutil.lib" \
+	"..\release\libsnmp.lib"
 
 "$(OUTDIR)\squid.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
@@ -273,7 +278,7 @@
 OutDir=.\Release
 # End Custom Macros
 
-$(DS_POSTBUILD_DEP) : "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
+$(DS_POSTBUILD_DEP) : "libsnmp - Win32 Release" "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
    ..\update.bat release e:\squid
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
@@ -291,12 +296,12 @@
 
 !ELSE 
 
-ALL : "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
+ALL : "libsnmp - Win32 Debug" "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
 
 !ENDIF 
 
 !IF "$(RECURSE)" == "1" 
-CLEAN :"miscutil - Win32 DebugCLEAN" "NT_auth - Win32 DebugCLEAN" "NCSA_auth - Win32 DebugCLEAN" "cachemgr - Win32 DebugCLEAN" "dnsserver - Win32 DebugCLEAN" "LDAP_auth - Win32 DebugCLEAN" "Perl Preprocessing - Win32 DebugCLEAN" "squid_conf - Win32 DebugCLEAN" 
+CLEAN :"miscutil - Win32 DebugCLEAN" "NT_auth - Win32 DebugCLEAN" "NCSA_auth - Win32 DebugCLEAN" "cachemgr - Win32 DebugCLEAN" "dnsserver - Win32 DebugCLEAN" "LDAP_auth - Win32 DebugCLEAN" "Perl Preprocessing - Win32 DebugCLEAN" "squid_conf - Win32 DebugCLEAN" "libsnmp - Win32 DebugCLEAN" 
 !ELSE 
 CLEAN :
 !ENDIF 
@@ -366,6 +371,8 @@
 	-@erase "$(INTDIR)\redirect.obj"
 	-@erase "$(INTDIR)\refresh.obj"
 	-@erase "$(INTDIR)\send-announce.obj"
+	-@erase "$(INTDIR)\snmp_agent.obj"
+	-@erase "$(INTDIR)\snmp_core.obj"
 	-@erase "$(INTDIR)\squid.res"
 	-@erase "$(INTDIR)\ssl.obj"
 	-@erase "$(INTDIR)\stat.obj"
@@ -411,7 +418,7 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib winwrap.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\squid.pdb" /debug /machine:I386 /out:"$(OUTDIR)\squid.exe" /pdbtype:sept 
+LINK32_FLAGS=winwrap.lib kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\squid.pdb" /debug /machine:I386 /out:"$(OUTDIR)\squid.exe" /pdbtype:sept 
 LINK32_OBJS= \
 	"$(INTDIR)\access_log.obj" \
 	"$(INTDIR)\acl.obj" \
@@ -508,7 +515,10 @@
 	"$(INTDIR)\whois.obj" \
 	"$(INTDIR)\win32.obj" \
 	"$(INTDIR)\squid.res" \
-	"..\miscutil\Debug\miscutil.lib"
+	"$(INTDIR)\snmp_core.obj" \
+	"$(INTDIR)\snmp_agent.obj" \
+	"..\miscutil\Debug\miscutil.lib" \
+	"..\Debug\libsnmp.lib"
 
 "$(OUTDIR)\squid.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
@@ -525,7 +535,7 @@
 OutDir=.\Debug
 # End Custom Macros
 
-$(DS_POSTBUILD_DEP) : "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
+$(DS_POSTBUILD_DEP) : "libsnmp - Win32 Debug" "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
    ..\update.bat debug e:\squid
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
@@ -1004,6 +1014,18 @@
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+SOURCE=..\..\src\snmp_agent.c
+
+"$(INTDIR)\snmp_agent.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+SOURCE=..\..\src\snmp_core.c
+
+"$(INTDIR)\snmp_core.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
 SOURCE=..\..\src\ssl.c
 
 "$(INTDIR)\ssl.obj" : $(SOURCE) "$(INTDIR)"
@@ -1422,6 +1444,32 @@
 
 !ENDIF 
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+"libsnmp - Win32 Release" : 
+   cd "\work\nt-2.3\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\libsnmp.mak" CFG="libsnmp - Win32 Release" 
+   cd ".\squidnt"
+
+"libsnmp - Win32 ReleaseCLEAN" : 
+   cd "\work\nt-2.3\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\libsnmp.mak" CFG="libsnmp - Win32 Release" RECURSE=1 CLEAN 
+   cd ".\squidnt"
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+"libsnmp - Win32 Debug" : 
+   cd "\work\nt-2.3\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\libsnmp.mak" CFG="libsnmp - Win32 Debug" 
+   cd ".\squidnt"
+
+"libsnmp - Win32 DebugCLEAN" : 
+   cd "\work\nt-2.3\win"
+   $(MAKE) /$(MAKEFLAGS) /F ".\libsnmp.mak" CFG="libsnmp - Win32 Debug" RECURSE=1 CLEAN 
+   cd ".\squidnt"
+
+!ENDIF 
+
 
 !ENDIF 
 
